<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="120" language="groovy" pageWidth="842" pageHeight="595" orientation="Landscape" whenNoDataType="AllSectionsNoDetail" columnWidth="802" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" isIgnorePagination="true">
	<property name="net.sf.jasperreports.export.character.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="4"/>
	<import value="java.util.Map"/>
	<subDataset name="f01">
		<queryString language="SQL">
			<![CDATA[select to_char(sysdate,'dd') ngay, to_char(sysdate,'mm') thang, to_char(sysdate,'yyyy') nam from dual]]>
		</queryString>
		<field name="ngay" class="java.lang.String"/>
		<field name="thang" class="java.lang.String"/>
		<field name="nam" class="java.lang.String"/>
	</subDataset>
	<parameter name="NEO_SQL_META_MAP" class="java.lang.Object"/>
	<parameter name="thangtc" class="java.lang.String"/>
	<queryString>
		<![CDATA[begin ? := admin_v2.pkg_bangiao_new.bg_km_hni('{p0chuky}','CCS_HNI.','HNI','{p0sys_userid}','{p0luongbc}'); end;]]>
	</queryString>
	<field name="tong" class="java.lang.Number"/>
	<field name="nam_ck" class="java.lang.String"/>
	<field name="thang_ck" class="java.lang.String"/>
	<field name="stt" class="java.lang.String"/>
	<field name="thang" class="java.lang.String"/>
	<field name="ngay" class="java.lang.String"/>
	<field name="nam" class="java.lang.String"/>
	<field name="nogoc" class="java.lang.Number"/>
	<field name="thue" class="java.lang.Number"/>
	<field name="ten_cv" class="java.lang.String"/>
	<field name="congvan" class="java.lang.String"/>
	<field name="so_tb" class="java.lang.Number"/>
	<field name="noidung" class="java.lang.String"/>
	<field name="gr" class="java.lang.Number"/>
	<field name="thangsau" class="java.lang.String"/>
	<field name="thang_tc" class="java.lang.String"/>
	<variable name="so_tb_1" class="java.lang.Number" calculation="Sum">
		<variableExpression><![CDATA[$F{so_tb}]]></variableExpression>
	</variable>
	<variable name="nogoc_1" class="java.lang.Number" calculation="Sum">
		<variableExpression><![CDATA[$F{nogoc}]]></variableExpression>
	</variable>
	<variable name="thue_1" class="java.lang.Number" calculation="Sum">
		<variableExpression><![CDATA[$F{thue}]]></variableExpression>
	</variable>
	<variable name="tong_1" class="java.lang.Number" calculation="Sum">
		<variableExpression><![CDATA[$F{tong}]]></variableExpression>
	</variable>
	<variable name="thangsau_1" class="java.lang.Integer" calculation="DistinctCount">
		<variableExpression><![CDATA[$F{thangsau}]]></variableExpression>
	</variable>
	<group name="gr_tong">
		<groupExpression><![CDATA[$F{gr}]]></groupExpression>
		<groupFooter>
			<band height="18">
				<textField>
					<reportElement x="526" y="1" width="90" height="16"/>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="11" isBold="true"/>
					</textElement>
					<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($V{nogoc_1}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="621" y="1" width="77" height="16"/>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="11" isBold="true"/>
					</textElement>
					<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($V{thue_1}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="701" y="1" width="92" height="16"/>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="11" isBold="true"/>
					</textElement>
					<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($V{tong_1}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
				</textField>
				<line>
					<reportElement stretchType="RelativeToBandHeight" x="794" y="0" width="1" height="17" isPrintWhenDetailOverflows="true"/>
				</line>
				<line>
					<reportElement stretchType="RelativeToBandHeight" x="699" y="0" width="1" height="17" isPrintWhenDetailOverflows="true"/>
				</line>
				<line>
					<reportElement stretchType="RelativeToBandHeight" x="460" y="0" width="1" height="17" isPrintWhenDetailOverflows="true"/>
				</line>
				<line>
					<reportElement stretchType="RelativeToBandHeight" x="6" y="0" width="1" height="17" isPrintWhenDetailOverflows="true"/>
				</line>
				<line direction="BottomUp">
					<reportElement positionType="FixRelativeToBottom" x="6" y="17" width="789" height="1" isPrintWhenDetailOverflows="true"/>
				</line>
				<staticText>
					<reportElement x="12" y="1" width="335" height="16"/>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[TỔNG CỘNG]]></text>
				</staticText>
				<line>
					<reportElement stretchType="RelativeToBandHeight" x="523" y="0" width="1" height="17" isPrintWhenDetailOverflows="true"/>
				</line>
				<line>
					<reportElement stretchType="RelativeToBandHeight" x="617" y="0" width="1" height="17" isPrintWhenDetailOverflows="true"/>
				</line>
				<textField>
					<reportElement x="460" y="0" width="58" height="16"/>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="11" isBold="true"/>
					</textElement>
					<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($V{so_tb_1}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
				</textField>
			</band>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="121" splitType="Stretch">
			<staticText>
				<reportElement x="449" y="1" width="285" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[CỘNG HÒA XÃ HỘI CHỦ NGHĨA VIỆT NAM ]]></text>
			</staticText>
			<staticText>
				<reportElement x="449" y="17" width="285" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[Độc lập - Tự do - Hạnh Phúc]]></text>
			</staticText>
			<staticText>
				<reportElement x="491" y="34" width="243" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="12" isItalic="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[Hà Nội, ngày      tháng      năm]]></text>
			</staticText>
			<line>
				<reportElement x="518" y="32" width="150" height="1"/>
			</line>
			<textField>
				<reportElement x="559" y="34" width="26" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("f01ngay")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="603" y="34" width="26" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("f01thang")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="643" y="34" width="26" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("f01nam")]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="62" width="802" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="14" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[BIÊN BẢN BÀN GIAO SỐ LIỆU KHUYẾN MẠI DI ĐỘNG TRẢ SAU VINAPHONE]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="80" width="802" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="14" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[Trừ cước tháng               ]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="98" width="802" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="14" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[Đưa vào báo cáo tháng              ]]></text>
			</staticText>
			<textField>
				<reportElement x="450" y="81" width="100" height="18"/>
				<textElement verticalAlignment="Top">
					<font fontName="Times New Roman" size="13" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{thang_tc}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="468" y="99" width="100" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="13" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{thangsau}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="27" y="20" width="259" height="21"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="true" isItalic="false" isUnderline="false" pdfFontName="Times" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[DỊCH VỤ VIỄN THÔNG]]></text>
			</staticText>
			<line>
				<reportElement x="119" y="34" width="76" height="1"/>
			</line>
			<staticText>
				<reportElement x="44" y="1" width="233" height="21"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="true" isItalic="false" pdfFontName="Times" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[TỔNG CÔNG TY]]></text>
			</staticText>
		</band>
	</title>
	<pageHeader>
		<band height="36">
			<line>
				<reportElement x="6" y="3" width="789" height="1"/>
			</line>
			<line>
				<reportElement x="6" y="35" width="789" height="1"/>
			</line>
			<line>
				<reportElement x="794" y="4" width="1" height="31"/>
			</line>
			<staticText>
				<reportElement x="35" y="9" width="127" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[TÊN-KM]]></text>
			</staticText>
			<line>
				<reportElement x="34" y="4" width="1" height="31"/>
			</line>
			<line>
				<reportElement x="164" y="4" width="1" height="31"/>
			</line>
			<line>
				<reportElement x="307" y="4" width="1" height="31"/>
			</line>
			<line>
				<reportElement x="460" y="4" width="1" height="31"/>
			</line>
			<line>
				<reportElement x="699" y="4" width="1" height="31"/>
			</line>
			<line>
				<reportElement x="523" y="3" width="1" height="31"/>
			</line>
			<staticText>
				<reportElement x="170" y="3" width="132" height="32"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[THỰC HIỆN THEO CV SỐ]]></text>
			</staticText>
			<staticText>
				<reportElement x="316" y="9" width="142" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[NỘI DUNG KM]]></text>
			</staticText>
			<staticText>
				<reportElement x="462" y="9" width="59" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[STB]]></text>
			</staticText>
			<staticText>
				<reportElement x="531" y="9" width="67" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[TIỀN]]></text>
			</staticText>
			<staticText>
				<reportElement x="620" y="9" width="75" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[THUẾ]]></text>
			</staticText>
			<staticText>
				<reportElement x="700" y="9" width="92" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[TỔNG TIỀN]]></text>
			</staticText>
			<line>
				<reportElement x="617" y="4" width="1" height="31"/>
			</line>
			<staticText>
				<reportElement x="6" y="9" width="28" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[STT]]></text>
			</staticText>
			<line>
				<reportElement x="6" y="4" width="1" height="31"/>
			</line>
		</band>
	</pageHeader>
	<detail>
		<band height="18" splitType="Stretch">
			<line>
				<reportElement stretchType="RelativeToBandHeight" x="34" y="0" width="1" height="17" isPrintWhenDetailOverflows="true"/>
			</line>
			<line>
				<reportElement stretchType="RelativeToBandHeight" x="164" y="0" width="1" height="17" isPrintWhenDetailOverflows="true"/>
			</line>
			<line>
				<reportElement stretchType="RelativeToBandHeight" x="523" y="0" width="1" height="17" isPrintWhenDetailOverflows="true"/>
			</line>
			<line>
				<reportElement stretchType="RelativeToBandHeight" x="460" y="0" width="1" height="17" isPrintWhenDetailOverflows="true"/>
			</line>
			<line>
				<reportElement stretchType="RelativeToBandHeight" x="699" y="0" width="1" height="17" isPrintWhenDetailOverflows="true"/>
			</line>
			<line>
				<reportElement stretchType="RelativeToBandHeight" x="794" y="0" width="1" height="17" isPrintWhenDetailOverflows="true"/>
			</line>
			<line>
				<reportElement stretchType="RelativeToBandHeight" x="6" y="0" width="1" height="17" isPrintWhenDetailOverflows="true"/>
			</line>
			<line>
				<reportElement stretchType="RelativeToBandHeight" x="617" y="0" width="1" height="17" isPrintWhenDetailOverflows="true"/>
			</line>
			<textField>
				<reportElement x="525" y="0" width="90" height="17"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="11" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($F{nogoc}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
			</textField>
			<line>
				<reportElement stretchType="RelativeToBandHeight" x="307" y="0" width="1" height="17" isPrintWhenDetailOverflows="true"/>
			</line>
			<textField isStretchWithOverflow="true">
				<reportElement mode="Transparent" x="36" y="0" width="127" height="17" isPrintWhenDetailOverflows="true"/>
				<textElement textAlignment="Left">
					<font fontName="Times New Roman" size="11" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{ten_cv}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement x="171" y="0" width="131" height="17"/>
				<textElement textAlignment="Left">
					<font fontName="Times New Roman" size="11"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{congvan}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement x="316" y="0" width="142" height="17"/>
				<textElement textAlignment="Left">
					<font fontName="Times New Roman" size="11"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{noidung}]]></textFieldExpression>
			</textField>
			<line direction="BottomUp">
				<reportElement positionType="FixRelativeToBottom" x="6" y="17" width="789" height="1" isPrintWhenDetailOverflows="true"/>
			</line>
			<textField>
				<reportElement x="7" y="0" width="27" height="17"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="11"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{stt}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="618" y="0" width="79" height="17"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="11" pdfFontName="Times-Roman"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($F{thue}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="700" y="0" width="92" height="17"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="11" pdfFontName="Times-Roman"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($F{tong}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="462" y="0" width="59" height="17"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="11" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[(new DecimalFormat("#,###,###,##0")).format($F{so_tb}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<pageFooter>
		<band/>
	</pageFooter>
	<summary>
		<band height="199">
			<staticText>
				<reportElement x="44" y="14" width="205" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[ĐẠI DIỆN BÊN NHẬN]]></text>
			</staticText>
			<staticText>
				<reportElement x="44" y="30" width="205" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[TTKD - VNPT HÀ NỘI]]></text>
			</staticText>
			<staticText>
				<reportElement x="449" y="50" width="274" height="52"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[TL. TỔNG GIÁM ĐỐC
TRƯỞNG BAN KỸ THUẬT NGHIỆP VỤ
]]></text>
			</staticText>
			<staticText>
				<reportElement x="457" y="185" width="274" height="14"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[Nguyễn Trung Hải]]></text>
			</staticText>
			<staticText>
				<reportElement x="449" y="14" width="274" height="36"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Bold"/>
				</textElement>
				<text><![CDATA[ĐẠI DIỆN BÊN GIAO
TỔNG CÔNG TY DỊCH VỤ VIỄN THÔNG]]></text>
			</staticText>
		</band>
	</summary>
</jasperReport>
